=== debian/changelog ===
spdlog (1:1.5.0-1) unstable; urgency=medium

  * Release to unstable with updated symbols

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 09 Feb 2020 09:14:13 +0100

spdlog (1:1.5.0-1~rc1) experimental; urgency=medium

  * Include symbols file

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sat, 08 Feb 2020 15:28:01 +0100

spdlog (1:1.5.0-1~rc0) experimental; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.5.0
  * Set upstream metadata fields: Name.
  * Set upstream metadata fields: Repository.
  * Remove obsolete fields Name from debian/upstream/metadata.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 07 Feb 2020 12:22:39 +0100
