## spdlog 1.5.0+ds

=== debian/changelog ===
spdlog (1:1.5.0+ds-2) unstable; urgency=medium

  * Add Build-Depends-Package meta-information field
  * Refresh symbols

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 26 Feb 2020 11:14:14 +0100

spdlog (1:1.5.0+ds-1) unstable; urgency=medium

  * Mark libspdlog1 as Multi-Arch: same
  * Repack source to remove newer libfmt (Closes: #952543)

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 25 Feb 2020 19:22:37 +0100
