=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: spdlog
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>
 Section: libdevel
 Priority: optional
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Michael R. Crusoe <crusoe@ucdavis.edu>
-Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 9),
+               cmake
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/spdlog.git
-Vcs-Git: https://anonscm.debian.org/debian-med/spdlog.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/spdlog.git
 Homepage: https://github.com/COMBINE-lab/spdlog
 
 Package: libspdlog-dev
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Description: Very fast, header only, C++ logging library
  Features: Very fast - performance is the primary goal; Headers only; No
  dependencies - just copy and use; call style using the excellent cppformat
