## spdlog 1.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,6 +5,9 @@
 
 cmake_minimum_required(VERSION 3.0)
 project(spdlog VERSION 1.0.0)
+
+set(CMAKE_CXX_STANDARD 11)
+set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 add_library(spdlog INTERFACE)
 
@@ -28,9 +31,11 @@
 
 set(config_install_dir "lib/cmake/${PROJECT_NAME}")
 set(include_install_dir "include")
+set(pkgconfig_install_dir "lib/pkgconfig")
 
 set(version_config "${generated_dir}/${PROJECT_NAME}ConfigVersion.cmake")
 set(project_config "${generated_dir}/${PROJECT_NAME}Config.cmake")
+set(pkg_config "${generated_dir}/${PROJECT_NAME}.pc")
 set(targets_export_name "${PROJECT_NAME}Targets")
 set(namespace "${PROJECT_NAME}::")
 
@@ -41,6 +46,7 @@
 
 # Note: use 'targets_export_name'
 configure_file("cmake/Config.cmake.in" "${project_config}" @ONLY)
+configure_file("cmake/spdlog.pc.in" "${pkg_config}" @ONLY)
 
 install(
     TARGETS spdlog
@@ -56,6 +62,11 @@
 )
 
 install(
+    FILES "${pkg_config}"
+    DESTINATION "${pkgconfig_install_dir}"
+)
+
+install(
     EXPORT "${targets_export_name}"
     NAMESPACE "${namespace}"
     DESTINATION "${config_install_dir}"
